@charset "UTF-8";

/*--------------------------------
  メインコンテンツエリア
--------------------------------*/
/* 診断カードグリッド（3列固定） */
.cards-grid {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  gap: 3.57em;
}

@media (max-width: 768px) {
  .cards-grid {
    -webkit-flex-direction: column;
    flex-direction: column;
    gap: 2.5em;
  }
}

/* 診断カード */
.card {
  width: calc((100% - 3.57em*2)/3);
}


@media (max-width: 1220px) and  (min-width: 768px) {
  .card {
    width: calc((100% - 3.57em*1)/2);
  }
}

@media (max-width: 768px) {
  .card {
    width: 100%
  }
}

/* カード画像 */
.card-image {
  width: 100%;
  height: 0;
  padding-bottom: 56.43%; /* 140:79 アスペクト比 */
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
}

.card-image img {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: auto;
  transform: translate(-50%, -50%);
  object-fit: cover;
}

/* カードコンテンツ */
.card-content {
  padding-top: 0.5em;
}

.card-content h3 {
  font-size: 1.3em;
  font-weight: bold;
}

@media (max-width: 768px) {
  .card-content h3 {
  font-size: 1.125em;
  }
}

@media (min-width: 769px) {
  .card-content .level {
    font-size: 1.14em;
  }

  .card-content .period {
    font-size: 1.14em;
  }
}

/*--------------------------------
  カードカテゴリバリエーション
--------------------------------*/

/* 診断結果リスト */
.result-item {
  padding: 1em;
  gap: 1em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

@media (min-width: 769px) {
.result-item {
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
  }
}

@media (max-width: 768px) {
  .result-item {
    padding: 1.5em 0;
    flex-direction: column;
    align-items: flex-start;
  }

  .result-item:not(:first-child) {
    border-top: 1px solid #bcbcbc;
  }

}

.result-item h3 {
  font-size: 1.43em;
  font-weight: bold;
  width: 10em;
}

@media (max-width: 768px) {
  .result-item h3 {
  font-size: 1.125em;
  width: auto;
  }
}

.result-score{
    width: calc(100% - 48em);
}


@media (max-width: 1280px) {
  .result-item {
    max-width: 40em;
  }
  .result-score{
    width: 29em;
  }
}

@media (max-width: 900px) {
  .result-item {
    gap: 0;
  }
    .result-score{
    width: 100%;
    margin-top: 1em;
    margin-bottom: 0.5em;
  }
}

@media (min-width: 901px) {
  .result-info{
    width: 19em;
    font-size: 1.14em;
    margin-right: 0;
  }
}

.score-number {
  font-size: 2.86em;
  font-weight: 600;
  width: 2.25em;
  opacity: 0.8;
  color: #333;
  white-space: nowrap;
  text-align: right;
  line-height: 100%;
}

@media (max-width: 900px) {
  .score-number {
  width: 100%;
  text-align: center;
  }
}

.score-number small {
  font-size: 0.45em;
}

